<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_Dispatcher_V3 StructType
 * @subpackage Structs
 */
class Update_Dispatcher_V3 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DispatcherUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DispatcherUpdate_V2
     */
    public $DispatcherUpdate;
    /**
     * Constructor method for Update_Dispatcher_V3
     * @uses Update_Dispatcher_V3::setLogin()
     * @uses Update_Dispatcher_V3::setDispatcherUpdate()
     * @param \StructType\Login $login
     * @param \StructType\DispatcherUpdate_V2 $dispatcherUpdate
     */
    public function __construct(\StructType\Login $login = null, \StructType\DispatcherUpdate_V2 $dispatcherUpdate = null)
    {
        $this
            ->setLogin($login)
            ->setDispatcherUpdate($dispatcherUpdate);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_Dispatcher_V3
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DispatcherUpdate value
     * @return \StructType\DispatcherUpdate_V2|null
     */
    public function getDispatcherUpdate()
    {
        return $this->DispatcherUpdate;
    }
    /**
     * Set DispatcherUpdate value
     * @param \StructType\DispatcherUpdate_V2 $dispatcherUpdate
     * @return \StructType\Update_Dispatcher_V3
     */
    public function setDispatcherUpdate(\StructType\DispatcherUpdate_V2 $dispatcherUpdate = null)
    {
        $this->DispatcherUpdate = $dispatcherUpdate;
        return $this;
    }
}
